petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSTRUMPACKReordering

sparsity reducing ordering to be used in STRUMPACK

### Synopsis

    typedef enum {MAT_STRUMPACK_NATURAL=0,
                  MAT_STRUMPACK_METIS=1,
                  MAT_STRUMPACK_PARMETIS=2,
                  MAT_STRUMPACK_SCOTCH=3,
                  MAT_STRUMPACK_PTSCOTCH=4,
                  MAT_STRUMPACK_RCM=5} MatSTRUMPACKReordering;

### Level

intermediate

### Location

src/mat/../../include/petscmat.h

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages